Modify title/cover
Modify title and cover simultaneously
POST
/suno/submit/set-metadataBody Parametersapplication/json
clip_id* string
Audio / video clip ID
image_url* string
New cover URL
title* string
new title
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"clip_id": "e42808c7-e08a-4eb1-a288-1cd3ba952871",
3"image_url": "https://cdn2.suno.ai/image_e42808c7-e08a-4eb1-a288-1cd3ba952871.jpeg",
4"title": "新歌名"
5}
1curl -X POST "https://api.digislash.com/suno/submit/set-metadata" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"clip_id": "e42808c7-e08a-4eb1-a288-1cd3ba952871",
6"image_url": "https://cdn2.suno.ai/image_e42808c7-e08a-4eb1-a288-1cd3ba952871.jpeg",
7"title": "新歌名"
8}'
1▼{
2"code": "success",
3"data": "1268154180129529857",
4"message": ""
5}
